<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class ComboboxNewslAnlBearb extends Combobox
{
  protected function getDefaultOption()
  {
    $option = new ComboboxOption();
    $option->value = '';
    $option->text = 'Mitarbeiter auswählen';
    $option->isSelected = is_null($this->selectedValue);

    return $option;
  }

  protected function getDatamodulAry()
  {
    $dbwBASysUser = new DBWorkBASysUser();

    return $dbwBASysUser->getBASysUsers();
  }

  protected function getValueFieldName()
  {
    return 'kennung';
  }

  protected function getTextFieldName()
  {
    return 'namevorname';
  }
}